Bug 973832 - dpkg-vendor: missing /etc/dpkg/origins and /etc/dpkg/origins/default (not mandatory for functioning dpkg)
Summary: dpkg-vendor: missing /etc/dpkg/origins and /etc/dpkg/origins/default (not man...
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: dpkg   
(Show other bugs)
Version: 19
Hardware: Unspecified Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Sergio Monteiro Basto
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-06-12 21:30 UTC by Sergio Monteiro Basto
Modified: 2014-01-07 09:49 UTC (History)
5 users (show)

Fixed In Version: dpkg-1.16.12-1.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-10 07:43:07 UTC
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
added /etc/dpkg/origins/... (1.53 KB, patch)
2013-07-01 21:45 UTC, Oron Peled
no flags Details | Diff

Description Sergio Monteiro Basto 2013-06-12 21:30:00 UTC
Description of problem:
as Oron describe in https://admin.fedoraproject.org/updates/dpkg-1.16.10-4.fc19 


dpkg-vendor: missing /etc/dpkg/origins and /etc/dpkg/origins/default (not mandatory for functioning dpkg) 

Version-Release number of selected component (if applicable):
dpkg-1.16.10-4.fc19 


Additional info:

Should be a easy fix

Comment 1 Sergio Monteiro Basto 2013-07-01 15:37:36 UTC
Hi, Oron
and this one is fixed ?

Comment 2 Oron Peled 2013-07-01 21:45:34 UTC
Created attachment 767528 [details]
added /etc/dpkg/origins/...

* It should probably go into "fedora-release" package, but.

* This patch add this in "dpkg"

* Tested on f19

Comment 3 Ralf Corsepius 2013-10-16 05:46:14 UTC
(In reply to Oron Peled from comment #2)
> Created attachment 767528 [details]
> added /etc/dpkg/origins/...
> 
> * It should probably go into "fedora-release" package, but.

Would you mind to explain why?
To me the only reason to have dpkg installed on Fedora is it being used as part of other tools to work with Debian packages, i.e. for cross-distro packaging.

In this context, I do not much sense in you proposal.

Comment 4 Fedora Update System 2013-10-16 19:12:16 UTC
dpkg-1.16.12-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/dpkg-1.16.12-1.fc20

Comment 5 Fedora Update System 2013-10-17 20:22:21 UTC
Package dpkg-1.16.12-1.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing dpkg-1.16.12-1.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-19132/dpkg-1.16.12-1.fc20
then log in and leave karma (feedback).

Comment 6 Fedora Update System 2013-10-18 01:15:02 UTC
dpkg-1.16.12-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/dpkg-1.16.12-1.fc19

Comment 7 Fedora Update System 2013-11-10 07:43:07 UTC
dpkg-1.16.12-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2014-01-07 09:49:09 UTC
dpkg-1.16.12-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.